Subject: [bug#42686] Update to linux-libre 5.7

From: Leo Famulari <[email-masked]>
Date: Mon, 3 Aug 2020 13:42:00 -0400

On Mon, Aug 03, 2020 at 10:08:41AM +0200, Mathieu Othacehe wrote:
> Nice! Adding a new branch to the CI will only allow us to know if this
> builds for armhf-linux and aarch64-linux architectures. You should be
> able to do that on your machine with the following commands:
> 
> guix build -s armhf-linux linux-libre
> guix build -s aarch64-linux linux-libre
> 
> but you need to setup qemu-binfmt first. It would also be nice to test
> cross-compilation this way:

My workstation is not very powerful so I'd rather use the build farm.

> > * Enable the compressed cache for swap pages by default? (ZSWAP_DEFAULT_ON)
> >
> > Should we enable this? It seems useful and the compression algorithms
> > are known to be very fast. Are there any downsides?
> 
> There's at least Archlinux that is enabling it by default[1], but using LZ4
> algorithm instead of the default LZO. No strong opinion otherwise.

Good to know! I wonder if any other distros are...

> > * Enable the DMA-BUF userland memory heaps? This options creates per
> > heap chardevs in /dev/dma_heap/ which allows userspace to allocate
> > dma-bufs that can be shared between drivers. (DMABUF_HEAPS)
> >
> > I don't really know what that means.
> 
> I think it's targeting embedded devices mainly, but it can't hurt to
> enable it.

If that's the case, I would leave it disabled. Guix is not really
appropriate for embedded systems.